#

API Docs for:
Show: Inherited Protected Private Deprecated

# Renderer Class

Defined in: `input/charts/Renderer.js:1`
Module: charts

The Renderer class is a base class for chart components that use the `styles` attribute.

- Index
- Methods
- Properties
- Attributes

## Item Index

### Methods

- _getDefaultStyles
- _mergeStyles
- _setStyles

### Properties

- _styles

### Attributes

- graphic
- styles

## Methods

### `_getDefaultStyles`

() protected

Defined in `input/charts/Renderer.js:97`

Gets the default value for the `styles` attribute.

#### Returns:

Object

### `_mergeStyles`

(

- `a`
- `b`

)
protected

Defined in `input/charts/Renderer.js:66`

Merges to object literals so that only specified properties are overwritten.

#### Parameters:

- `a` Object

  Hash of new styles

- `b` Object

  Hash of original styles

#### Returns:

Object

### `_setStyles`

(

- `newStyles`

)
protected

Defined in `input/charts/Renderer.js:52`

Method used by `styles` setter.

#### Parameters:

- `newStyles` Object

  Hash of properties to update.

#### Returns:

Object

## Properties

### `_styles`

Object private

Defined in `input/charts/Renderer.js:43`

Storage for `styles` attribute.

## Attributes

### `graphic`

Graphic

Defined in `input/charts/Renderer.js:32`

The graphic in which drawings will be rendered.

### `styles`

Object

Defined in `input/charts/Renderer.js:12`

Style properties for class